> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1accountprivacy



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/account/privacy
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/account/privacy:
    get:
      tags:
        - account
      operationId: getAccountPrivacy
      responses:
        '200':
          description: Privacy state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountPrivacy'
components:
  schemas:
    AccountPrivacy:
      type: object
      required:
        - retention
        - deletion
        - consents
        - export
      properties:
        retention:
          type: object
          required:
            - status
          properties:
            status:
              type: string
              enum:
                - active
                - suspended
                - deleted
            suspendedAt:
              type: string
              format: date-time
            deletedAt:
              type: string
              format: date-time
            anonymizedAt:
              type: string
              format: date-time
            retentionUntil:
              type: string
              format: date-time
        deletion:
          $ref: '#/components/schemas/AccountDeletion'
        consents:
          type: object
          required:
            - current
            - history
          properties:
            current:
              type: object
              additionalProperties:
                type: boolean
            history:
              type: array
              items:
                type: object
                required:
                  - purpose
                  - granted
                  - occurredAt
                properties:
                  purpose:
                    type: string
                    enum:
                      - terms
                      - privacy
                      - marketing
                      - profiling
                  granted:
                    type: boolean
                  policyVersion:
                    type: string
                  source:
                    type: string
                  occurredAt:
                    type: string
                    format: date-time
        export:
          type: object
          required:
            - sections
            - redactions
            - contactValuesAvailable
          properties:
            sections:
              type: array
              items:
                type: string
            redactions:
              type: array
              items:
                type: string
            contactValuesAvailable:
              type: boolean
    AccountDeletion:
      type: object
      required:
        - pending
        - executedBy
      properties:
        pending:
          type: boolean
        requestedAt:
          type: string
          format: date-time
        cancelledAt:
          type: string
          format: date-time
        reason:
          type: string
        executedBy:
          type: string
          description: >-
            Who actually deletes. The panel records the request; the retention
            workflow carries it out.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.